Verify OTP
This API enables you to validate the OTP entered by the user using either request_id (received in response of the Fire an Event API) or destination (such as phone number, email).
Note: By default, OTPs are not tied to a specific notification event. If you validate using destination, an OTP sent to the same destination by another event that also uses destination validation can override the earlier OTP. To avoid this, pass the optional event_name parameter to validate the OTP against a specific event.
Authentication
Path parameters
Query parameters
Specify the request id of the triggered notification event that sent the OTP to the user. You must use this query parameter if you’ve disabled “Use destination as id” in the Fyno Verify setting.
Enter the destination where the OTP is sent. It can be either mobile no or email id. You must use this query parameter if you’ve enabled “Use destination as id” in the Fyno Verify setting.
(Optional) Enter the name of the notification event that sent the OTP, for example login_otp.
Use this parameter along with destination to validate the OTP for a specific event. Without it, an OTP sent to the same destination by another event that also uses destination validation can override the OTP you are validating.